Bug 804396 - Malformed pppoe-server.service systemd unit file
Malformed pppoe-server.service systemd unit file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rp-pppoe (Show other bugs)
16
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-18 11:58 EDT by Dominic Cleal
Modified: 2012-04-18 15:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: rp-pppoe-3.10-12.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:51:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominic Cleal 2012-03-18 11:58:56 EDT
Description of problem:
The pppoe-server.service unit file for systemd is missing a [Unit] section at the top, so systemd is skipping the section.

Version-Release number of selected component (if applicable):
rp-pppoe-3.10-9.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. systemctl show -p After -p Description pppoe-server.service
  
Actual results:
After=systemd-stdout-syslog-bridge.socket basic.target
Description=pppoe-server.service

Expected results:
After=syslog.target systemd-stdout-syslog-bridge.socket basic.target
Description=PPPoE Server.

Additional info:
The pppoe-server.service file needs "[Unit]" adding as the first line.
Comment 1 Ngo Than 2012-03-19 10:17:42 EDT
it's fixed in rp-pppoe-3.10-12
Comment 2 Fedora Update System 2012-03-19 10:42:03 EDT
rp-pppoe-3.10-12.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rp-pppoe-3.10-12.fc17
Comment 3 Fedora Update System 2012-03-19 12:00:46 EDT
rp-pppoe-3.10-12.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rp-pppoe-3.10-12.fc16
Comment 4 Fedora Update System 2012-03-19 12:02:43 EDT
rp-pppoe-3.10-12.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rp-pppoe-3.10-12.fc17
Comment 5 Fedora Update System 2012-03-29 23:01:31 EDT
Package rp-pppoe-3.10-12.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rp-pppoe-3.10-12.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4890/rp-pppoe-3.10-12.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-04-11 22:51:00 EDT
rp-pppoe-3.10-12.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-04-18 15:36:04 EDT
rp-pppoe-3.10-12.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.